aboutsummaryrefslogtreecommitdiffstats
path: root/make_slackware_live.sh
diff options
context:
space:
mode:
Diffstat (limited to 'make_slackware_live.sh')
-rwxr-xr-xmake_slackware_live.sh16
1 files changed, 8 insertions, 8 deletions
diff --git a/make_slackware_live.sh b/make_slackware_live.sh
index 99a1a10..cddb699 100755
--- a/make_slackware_live.sh
+++ b/make_slackware_live.sh
@@ -880,6 +880,14 @@ if [ ! -d ${SL_REPO} ]; then
exit 1
fi
+# Cleanup if we are FORCEd to rebuild from scratch:
+if [ "$FORCE" = "YES" ]; then
+ echo "-- Removing old files and directories!"
+ umount ${LIVE_ROOTDIR}/{proc,sys,dev} 2>${DBGOUT} || true
+ umount ${LIVE_ROOTDIR} 2>${DBGOUT} || true
+ rm -rf ${LIVE_STAGING}/${LIVEMAIN} ${LIVE_WORK} ${LIVE_ROOTDIR}
+fi
+
# Create temporary directories for building the live filesystem:
for LTEMP in $LIVE_OVLDIR $LIVE_BOOT $LIVE_MOD_SYS $LIVE_MOD_ADD $LIVE_MOD_OPT ; do
umount ${LTEMP} 2>${DBGOUT} || true
@@ -890,14 +898,6 @@ for LTEMP in $LIVE_OVLDIR $LIVE_BOOT $LIVE_MOD_SYS $LIVE_MOD_ADD $LIVE_MOD_OPT ;
fi
done
-# Cleanup if we are FORCEd to rebuild from scratch:
-if [ "$FORCE" = "YES" ]; then
- echo "-- Removing old files and directories!"
- umount ${LIVE_ROOTDIR}/{proc,sys,dev} 2>${DBGOUT} || true
- umount ${LIVE_ROOTDIR} 2>${DBGOUT} || true
- rm -rf ${LIVE_STAGING}/${LIVEMAIN} ${LIVE_WORK} ${LIVE_ROOTDIR}
-fi
-
# Create the mount point for our Slackware filesystem:
if [ ! -d ${LIVE_ROOTDIR} ]; then
mkdir -p ${LIVE_ROOTDIR}